{% extends 'base.html.twig' %}

{% block title %}Platform index{% endblock %}

{% block body %}
       <div class="mdl-cell mdl-cell--6-col-desktop mdl-cell--6-col-tablet mdl-cell--4-col-phone">
                <div class="mdl-card mdl-shadow--2dp">
                    <div class="mdl-card__title">
                        <h1 class="mdl-card__title-text">Platform</h1>
                    </div>
                    <div class="mdl-card__supporting-text no-padding">
                        <table class="mdl-data-table mdl-js-data-table">
                            <thead>
                                <tr>
                                    <th class="mdl-data-table__cell--non-numeric">id</th>
                                    <th class="mdl-data-table__cell--non-numeric">NamePlat</th>
                                    <th class="mdl-data-table__cell--non-numeric">DescriptionPlat</th>
                                    <th class="mdl-data-table__cell--non-numeric">LogoPlat</th>
                                     <th class="mdl-data-table__cell--non-numeric">actions</th>
                               

                                </tr>
                            </thead>
                            <tbody>
       {% for platform in platforms %}
            <tr>
                <td class="mdl-data-table__cell--non-numeric" >{{ platform.id }}</td>
                <td class="mdl-data-table__cell--non-numeric" >{{ platform.namePlat }}</td>
                <td class="mdl-data-table__cell--non-numeric" >{{ platform.descriptionPlat }}</td>
                <td> <img class="logo" src= "/uploads/image/{{platform.logoPlat}}"/></td>
           
                <td>
                  <a href="{{ path('platform_show', {'id': platform.id}) }}">show</a>
                    <a href="{{ path('platform_edit', {'id': platform.id}) }}">edit</a>
                </td>
            </tr>
            {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
                {% endfor %}
                                
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
    <a href="{{ path('platform_new') }}">Create new</a>
{% endblock %}
